Bug 452900 - hal doesn't seem to mount partitions > 1TB
hal doesn't seem to mount partitions > 1TB
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-25 14:29 EDT by Guido Ledermann
Modified: 2013-03-05 22:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 14:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guido Ledermann 2008-06-25 14:29:06 EDT
Description of problem:
I have a 2TB USB harddisk TrekStor DataStation. When I create one partition with
more than 1TB, hal doesn't mount it. If I keep partition size smaller than 1TB,
hal mounts the partition correctly.

Version-Release number of selected component (if applicable):
hal-info-20080607-1.fc9.noarch
hal-0.5.11-2.fc9.i386
hal-libs-0.5.11-2.fc9.i386

How reproducible:
Anytime. 

Steps to Reproduce:
1. Create a partition with a size > 1TB. 
2. Format it to whatever filesystem (tried ext2, ext3, vfat).
3. unplug and plug usb drive
  
Actual results:
hal doesn't mount the disk under /media/somename

Expected results:
hal should mount the disk under /media/somename

Additional info:
I'm not really sure, but I think it worked on an x86_64 machine at the office. I
don't know when and if I could test this.
Comment 1 Guido Ledermann 2008-07-02 15:22:12 EDT
Just booted a LiveCD with x86 64 and it works fine. So I blame the i386
architecture for this (mis)behaviour. Is there any progress on this issue?
Comment 2 Guido Ledermann 2008-07-26 18:06:39 EDT
One month is over without response or any visible progress. David, do you read this?
Comment 3 Richard Hughes 2008-08-02 04:35:12 EDT
Run "lshal -m" and then plug in the drive. What's the output?
Comment 4 Guido Ledermann 2008-08-03 02:42:11 EDT
(In reply to comment #3)
> Run "lshal -m" and then plug in the drive. What's the output?
lshal -m outputs:

Start monitoring devicelist:
-------------------------------------------------
08:40:02.129: usb_device_1058_1104_575532553130303036363939 added
08:40:02.218: usb_device_1058_1104_575532553130303036363939_if0 added
08:40:02.364: usb_device_1058_1104_575532553130303036363939_if1 added
08:40:02.483: usb_device_1058_1104_575532553130303036363939_if1_logicaldev_input added
08:40:07.270: usb_device_1058_1104_575532553130303036363939_if0_scsi_host added
08:40:07.281: usb_device_1058_1104_575532553130303036363939_if0_scsi_host_scsi_device_lun0 added
08:40:07.365: usb_device_1058_1104_575532553130303036363939_if0_scsi_host_scsi_device_lun1 added
08:40:07.442: usb_device_1058_1104_575532553130303036363939_if0_scsi_host_scsi_device_lun1_scsi_generic added
08:40:07.556: storage_serial_WD_My_Book_575532553130303036363939_0_0 added
08:40:07.659: usb_device_1058_1104_575532553130303036363939_if0_scsi_host_scsi_device_lun0_scsi_generic added
Comment 5 Eric Sandeen 2008-08-03 12:27:14 EDT
What sort of partition table is on the device?  Are there any kernel messages indicating a filesystem mount failure when you plug it in (from dmesg)?

-Eric
Comment 6 Guido Ledermann 2008-08-03 13:07:59 EDT
(In reply to comment #5)
> What sort of partition table is on the device?  Are there any kernel messages
> indicating a filesystem mount failure when you plug it in (from dmesg)?

It's an ext3. In /etc/messages you find

Aug  3 19:04:55 pb88 kernel: usb 1-7: new high speed USB device using ehci_hcd and address 4
Aug  3 19:04:55 pb88 kernel: usb 1-7: configuration #1 chosen from 1 choice
Aug  3 19:04:55 pb88 kernel: input: Western Digital My Book as /devices/pci0000:00/0000:00:1d.7/usb1/1-7/1-7:1.1/input/input7
Aug  3 19:04:55 pb88 kernel: input,hidraw3: USB HID v1.11 Device [Western Digital My Book] on usb-0000:00:1d.7-7
Aug  3 19:04:55 pb88 kernel: usb 1-7: New USB device found, idVendor=1058, idProduct=1104
Aug  3 19:04:55 pb88 kernel: usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Aug  3 19:04:55 pb88 kernel: usb 1-7: Product: My Book
Aug  3 19:04:55 pb88 kernel: usb 1-7: Manufacturer: Western Digital
Aug  3 19:04:55 pb88 kernel: usb 1-7: SerialNumber: 575532553130303036363939
Aug  3 19:04:55 pb88 kernel: Initializing USB Mass Storage driver...
Aug  3 19:04:55 pb88 kernel: scsi2 : SCSI emulation for USB Mass Storage devices
Aug  3 19:04:55 pb88 kernel: usbcore: registered new interface driver usb-storage
Aug  3 19:04:55 pb88 kernel: USB Mass Storage support registered.
Aug  3 19:05:01 pb88 kernel: scsi 2:0:0:0: Direct-Access     WD       My Book          1006 PQ: 0 ANSI: 4
Aug  3 19:05:01 pb88 kernel: scsi 2:0:0:1: Enclosure         WD       My Book Device   1006 PQ: 0 ANSI: 4
Aug  3 19:05:01 pb88 kernel: sd 2:0:0:0: [sdb] 3907026944 512-byte hardware sectors (2000398 MB)
Aug  3 19:05:01 pb88 kernel: sd 2:0:0:0: [sdb] Write Protect is off
Aug  3 19:05:01 pb88 kernel: sd 2:0:0:0: [sdb] Assuming drive cache: write through
Aug  3 19:05:01 pb88 kernel: sd 2:0:0:0: [sdb] 3907026944 512-byte hardware sectors (2000398 MB)
Aug  3 19:05:01 pb88 kernel: sd 2:0:0:0: [sdb] Write Protect is off
Aug  3 19:05:01 pb88 kernel: sd 2:0:0:0: [sdb] Assuming drive cache: write through
Aug  3 19:05:01 pb88 kernel: sdb: sdb1
Aug  3 19:05:01 pb88 kernel: sd 2:0:0:0: [sdb] Attached SCSI disk
Aug  3 19:05:01 pb88 kernel: sd 2:0:0:0: Attached scsi generic sg1 type 0
Aug  3 19:05:01 pb88 kernel: scsi 2:0:0:1: Attached scsi generic sg2 type 13
Aug  3 19:05:01 pb88 kernel: Driver 'ses' needs updating - please use bus_type methods
Aug  3 19:05:01 pb88 kernel: ses 2:0:0:1: Attached Enclosure device


BTW: on an x86_64 lshal -m shows
19:00:26.009: usb_device_1058_1104_575532553130303036363939 added
19:00:26.017: usb_device_ffffffff_ffffffff_noserial added
19:00:26.068: usb_device_1058_1104_575532553130303036363939_if0 added
19:00:26.116: usb_device_ffffffff_ffffffff_noserial_logicaldev_input added
19:00:31.157: usb_device_1058_1104_575532553130303036363939_if0_scsi_host added
19:00:31.162: usb_device_1058_1104_575532553130303036363939_if0_scsi_host_scsi_device_lun0 added
19:00:31.324: usb_device_1058_1104_575532553130303036363939_if0_scsi_host_scsi_device_lun1 added
19:00:31.342: usb_device_1058_1104_575532553130303036363939_if0_scsi_host_scsi_device_lun1_scsi_generic added
19:00:31.379: storage_serial_WD_My_Book_575532553130303036363939_0_0 added
19:00:31.479: volume_uuid_7c347dd1_bb50_4a77_a8b2_681b74f11027 added
19:00:31.482: usb_device_1058_1104_575532553130303036363939_if0_scsi_host_scsi_device_lun0_scsi_generic added
19:00:31.762: volume_uuid_7c347dd1_bb50_4a77_a8b2_681b74f11027 property volume.mount_point = '/media/My Book'
19:00:31.773: volume_uuid_7c347dd1_bb50_4a77_a8b2_681b74f11027 property volume.is_mounted = true
Comment 7 Eric Sandeen 2008-08-03 14:00:36 EDT
Ok, by "what sort of partition table" I don't mean filesystem - I mean, is this a dos partition table, or gpt, or?  How did you create the partition, with fdisk or parted? With what commands?  I ask because for a while parted would improperly make > 1T dos partitions, which actually cannot be re-read from disk.  Since this works on x86_64 this is probably the wrong track, but thought it'd be worth ruling out.
Comment 8 Guido Ledermann 2008-08-03 17:35:22 EDT
(In reply to comment #7)
> Ok, by "what sort of partition table" I don't mean filesystem

Sorry for misunderstanding. It's an msdos partition table created with fdisk if I remember correctly. On the other hand, I have tried two different 2TB USB disks (Trekstor duo and WD MyBook Mirror Edition) with fdisk and parted. I alway relabeled them with msdos-table and created ext2 and ext3 filesystems without success on i386. It works like charm on x86_64.

BTW: In fact it is a two 1TB RAID0/JOBD (Trekstor duo and WD MyBook Mirror Edition) System that shows up as one disk, but it should work the same way in i386 and x86_64, shouldn't it?
Comment 9 Eric Sandeen 2008-08-03 21:13:14 EDT
yep working on x86_64 probably rules that out.  In particular, if you see the right-sized partitions in /proc/partitions after you plug it in, it should be fine.

-Eric
Comment 10 Guido Ledermann 2008-08-05 12:55:58 EDT
(In reply to comment #9)
Done. I see it as

8    16 1953513472 sdb
8    17 1953512001 sdb1

in /proc/partitions.
Comment 11 Eric Sandeen 2008-08-05 13:51:02 EDT
Ok, that probably rules out partition table problems, then.  Thanks.
Comment 12 Guido Ledermann 2008-11-03 06:37:44 EST
Hi anybody! Is there something I can do to help to fix this bug? Am I the only one that needs to backup that large amount of data to an external HD? Can anyone suggest a workaround?
Comment 13 Eric Sandeen 2008-11-03 12:11:21 EST
Just to be sure; can you manually mount the partition without trouble?  Is this purely a hal issue?
Comment 14 Guido Ledermann 2008-11-03 12:26:24 EST
(In reply to comment #13)
> Just to be sure; can you manually mount the partition without trouble?  Is this
> purely a hal issue?

Yes, I can mount it manually. And it mounts automatically under x64_86.
Comment 15 Scott Glaser 2009-04-07 12:46:22 EDT
Are you still running Fedora 9, or have you upgraded to 10 or Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the HAL packages you're using?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Guido Ledermann 2009-04-07 13:11:45 EDT
(In reply to comment #15)
> Are you still running Fedora 9, or have you upgraded to 10 or Rawhide? In
> either case, can you let us know whether the issue is still happening, and give
> the current version of the HAL packages you're using?

I just tried with a current F10 i386 and it works.

rpm -qa |grep hal

shows

hal-0.5.12-14.20081027git.fc10.i386
hal-cups-utils-0.6.19-1.fc10.i386
hal-libs-0.5.12-14.20081027git.fc10.i386
hal-info-20090202-1.fc10.noarch
Comment 17 Scott Glaser 2009-04-07 14:00:47 EDT
Thank you for the bug report. This particular bug was fixed and an updated package was published for download for Fedora 10. 

You can obtain the updated package by typing 'yum update hal' or using the graphical updater, Software Update. If your still running Fedora 9 it is recommended that you update to Fedora 10 as Feora 9 will be End Of Life (EOL) one month after the release of Fedora 11.

Please feel free to report any further bugs you find, or make further reports if this bug is not fixed after you install the update. 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.